package com.zhongshu.reward.client.service;

import com.zhongshu.reward.client.type.UserType;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

/**
 * @author wjf
 * @date 2024/8/9
 */
@FeignClient(name = "rewardserver/manager/inviteRecord")
public interface InviteRecordFeignService {


    @ApiOperation("邀请")
    @RequestMapping(value = "goodsDetail", method = RequestMethod.POST, consumes = {MediaType.APPLICATION_JSON_VALUE})
    void invite(@RequestParam("phone") String phone, @RequestParam("userId") String userId, @RequestParam("inviteUserId") String inviteUserId, @RequestParam("userType")UserType userType, @RequestParam("registerTime") Long registerTime);
}
