package com.zhongshu.reward.server.core.config;


import com.github.microservice.components.data.mongo.mongo.config.MongoConfiguration;
import com.github.microservice.components.data.mongo.token.config.ResourceTokenConfiguration;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.data.mongodb.repository.config.EnableMongoRepositories;

@Configuration
@Import({MongoConfiguration.class, ResourceTokenConfiguration.class})
@EnableMongoRepositories("com.zhongshu.reward.server.core.dao")
public class MongoConfig {
}
