package com.zhongshu.reward.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 小程序设置
 */
@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class MiniAppSetting extends SuperEntity {

    /**
     * 启用移动会员开通
     */
    private Boolean cmVipEnable;
}
