package com.zhongshu.reward.client.model.param;


import com.zhongshu.reward.client.type.ReceiptsType;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wjf
 * @date 2024/8/6
 */
@Data
public class WalletReceiptsParam {

    /**
     * 邀请人userId
     */
    private String inviteId;

    /**
     * 购买会员用户id
     */
    private String userId;

    /**
     * 预计到账时间
     */
    private Long estimatedTime;

    /**
     * 到账类型
     */
    private ReceiptsType receiptsType;

    /**
     * 到账金额
     */
    private BigDecimal total = BigDecimal.ZERO;

    /**
     * 外部订单号
     */
    private String outTradeNo;


}
